//--------------------------------------------------------------//
// RGBAtoRGB
//
// Copyright (c) LWKS Software Ltd.  All Rights Reserved
//--------------------------------------------------------------//
DeclareLightworksEffect( RGBAtoRGB, Internal, Colour, kNoNotes, kNoFlags );

DeclareInput( Input, Point );

DeclareFloatParam( _Width );

DeclareEntryPoint()
{
   float4 ret;

   // which group?
   int x = (int) (fmod( uv1.x * _Width * 0.75, 3.0 ));

   float4 src = tex2D(Input, uv1);
   float4 srcl = tex2D(Input, uv2);
   float4 srcr = tex2D(Input, uv3);

   if ( x == 0 )
   {
      ret.r = src.r;
      ret.g = src.g;
      ret.b = src.b;
      ret.a = srcr.r;
   }
   else if ( x == 1 )
   {
      ret.r = src.g;
      ret.g = src.b;
      ret.b = srcr.r;
      ret.a = srcr.g;
   }
   else if ( x == 2 )
   {
      ret.b = srcl.b;
      ret.g = src.r;
      ret.r = src.g;
      ret.a = src.b;
   }

   return ret;
}
